# Contour Creator 🗺️
This program takes a tiff heightmap and produces vector contours.
This is our project for the INF205: Resource-efficient programming course
## Status
- [x] Read .tif file into memory using gdal
- [ ] Run the marching squares algorithm and produce a "casemap"
- [ ] Use a lookuptable to produce a vector file from the "casemap"
## Dependencies
- GDAL
- OpenMP
## How to build:
```
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Debug ..
cmake --build . --parallel
```
Then you can run `./contour-creator PATH/TO/HEIGTHMAP.TIF`